Bug 229140 - comms/qsstv: Update to 9.2.6
Summary: comms/qsstv: Update to 9.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: hamradio (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-19 07:41 UTC by takefu
Modified: 2018-06-26 15:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hamradio)


Attachments
qsstv-9.2.6.patch (5.82 KB, patch)
2018-06-19 07:41 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2018-06-19 07:41:59 UTC
Created attachment 194388 [details]
qsstv-9.2.6.patch
Comment 1 Diane Bruce freebsd_committer 2018-06-25 14:53:49 UTC
Comment on attachment 194388 [details]
qsstv-9.2.6.patch

I can't run it to test because of
/usr/local/lib/qt5/libQt5Widgets.so.5: Undefined symbol "_ZTI14QObjectPrivate@Qt_5_PRIVATE_API" 

This problem was also reported by Brian Kidney <bkidney@briankidney.ca>
Comment 2 Diane Bruce freebsd_committer 2018-06-26 15:47:18 UTC
You missed a USES pkgconfig
Comment 3 commit-hook freebsd_committer 2018-06-26 15:48:34 UTC
A commit references this bug:

Author: db
Date: Tue Jun 26 15:47:55 UTC 2018
New revision: 473391
URL: https://svnweb.freebsd.org/changeset/ports/473391

Log:
  Updated to 9.2.6

      20170817 QSSTV 9.2.6
          Changed the .pro file for autodetecing correct libopenjpg2 (DL1JBE -Tom)
          ftp transfer - initialize bug fix (VK6MN- Mike)
          Help manual -> path correction and corrected some typo's (DJ0MBA- Marinus)
          SSTV initialize bug fix (Adrian)
          Camera support for Raspberry PI Cam
          fixed audio loopback use
          fixed transmission after stop, image was not restarted at top

      20161022 QSSTV 9.2.5
          Screen size reduced for use with smaller screens-fixed.
          rig control - added capabilities test.

  PR:		ports/229140
  Submitted by:	takefu@airport.fm

Changes:
  head/comms/qsstv/Makefile
  head/comms/qsstv/distinfo
  head/comms/qsstv/files/patch-qsstv_config_directoriesconfig.cpp
  head/comms/qsstv/files/patch-qsstv_documentation_manual_manual_gettingstarted.html
  head/comms/qsstv/files/patch-qsstv_drmrx_channeldecode.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_deinterleaver.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_demodulator.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_getmode.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_mkfacmap.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_mkmscmap.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_psdcmean.cpp
  head/comms/qsstv/files/patch-qsstv_drmrx_psdmean.cpp
  head/comms/qsstv/files/patch-qsstv_qsstv.pro
  head/comms/qsstv/files/patch-qsstv_sound_soundalsa.cpp
  head/comms/qsstv/files/patch-qsstv_sstv_sstvrx.cpp
  head/comms/qsstv/files/patch-qsstv_utils_color.cpp
  head/comms/qsstv/files/patch-qsstv_utils_jp2io.h
  head/comms/qsstv/files/patch-qsstv_videocapt_imagesettings.h
  head/comms/qsstv/files/patch-qsstv_videocapt_v4l2control.cpp
  head/comms/qsstv/files/patch-qwt_qwt.pro
  head/comms/qsstv/pkg-plist